Name:		xfce4-settings-qubes
Version:	4.2.1
Release:	1%{?dist}
Summary:	Default Xfce4 panel settings for Qubes

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://www.qubes-os.org/
Source0:	%{name}-%{version}.tar.gz

BuildRequires: make
Requires:	qubes-artwork
Requires:	qubes-desktop-linux-menu
Requires:	xfce4-panel
Requires:	xss-lock
Requires:	util-linux
Requires(post):	xfce4-panel

# We ship garcon menu file into this package
# the fork is not needed anymore
Conflicts:  garcon = 1000:0.6.2
Conflicts:  garcon = 1000:0.6.4
Requires: garcon >= 0.6.2

%description
%{summary}


%prep
%setup -q


%install
%make_install


%define settings_replace() \
qubesfile="%{1}" \
origfile=${qubesfile%.qubes} \
backupfile=${origfile}.xfce4 \
if [ -r "$origfile" ] && [ ! -r "$backupfile" ]; then \
	mv -f "$origfile" "$backupfile" \
fi \
cp -f "$qubesfile" "$origfile" \
%{nil}


%triggerin -- xfce4-panel
%settings_replace %{_sysconfdir}/xdg/xfce4/panel/default.xml.qubes


%triggerin -- xfce4-settings
%settings_replace %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml.qubes


%triggerin -- xfce4-session
%settings_replace %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml.qubes


%triggerin -- xfce4-power-manager
%settings_replace %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-power-manager.xml.qubes


%triggerin -- libxfce4ui
%settings_replace %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml.qubes


%triggerin -- xscreensaver-base

conffile=/etc/xscreensaver/XScreenSaver.ad.tail

if ! grep -q "! Qubes options begin" $conffile; then
    ( echo -e "! Qubes options begin - do not edit\n! Qubes options end"; cat $conffile) > $conffile.tmp
    mv $conffile.tmp $conffile
fi

sed -e '/! Qubes options begin/,/! Qubes options end/c \
! Qubes options begin - do not edit\
*newLoginCommand:\
*fade: False\
! Qubes options end' -i $conffile

update-xscreensaver-hacks


%postun
REPLACEFILE="${REPLACEFILE} %{_sysconfdir}/xdg/xfce4/panel/default.xml.qubes"
REPLACEFILE="${REPLACEFILE} %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml.qubes"
REPLACEFILE="${REPLACEFILE} %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml.qubes"
REPLACEFILE="${REPLACEFILE} %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-power-manager.xml.qubes"
REPLACEFILE="${REPLACEFILE} %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml.qubes"
if [ $1 -lt 1 ]; then
	for file in ${REPLACEFILE}; do
		origfile=${file%.qubes}
		backupfile=${origfile}.xfce4
		mv -f "$backupfile" "$origfile"
	done
fi


%files
%{_sysconfdir}/xdg/xfce4/panel/default.xml.qubes
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml.qubes
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfwm4.xml
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml.qubes
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-power-manager.xml.qubes
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml.qubes
%{_sysconfdir}/xdg/autostart/xfce4-xss-lock.desktop
%{_sysconfdir}/xdg/autostart/qubes-update-xfce-config.desktop
%{_sysconfdir}/xdg/autostart/xscreensaver-xfce.desktop
%{_sysconfdir}/X11/xinit/xinitrc.d/55xfce-qubes.sh
/usr/lib/qubes/update-xfce-config


%changelog
* Fri Feb 17 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-desktop-linux-xfce4

* Fri Feb 17 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 053c572
- version 4.2.1-1

* Fri Feb 17 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b0e284f
- Pull in new menu via dependencies

* Wed Feb 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d9df937
- version 4.2.0-2

* Wed Feb 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5ea7ac3
- Switch default menu to the new shiny one

* Wed Feb 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2dd52e9
- Update xsettings.xml for Xfce 4.16

* Wed Feb 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bdb4f50
- Enable xscreensaver under xfce

* Fri Nov 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ff13c56
- version 4.0.6-2

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e1dc435
- .qubesbuilder: replace 'spec' by 'build'

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 633c191
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 07ab470
- Drop Travis CI

* Fri Jun 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 43be21c
- version 4.0.6-1

* Fri Jun 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cda29a2
- version 4.0.5-2

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 407d31a
- spec: add BR make

* Wed Dec 23 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bc95155
- version 4.0.5-1

* Tue Dec 22 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - a9a04a3
- Update both default and custom configurations

* Tue Dec 22 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 6a11776
- Update existing XFCE configurations

* Tue Dec 01 2020 Demi Marie Obenour <athena@invisiblethingslab.com> - 5646833
- Replace “xkill” with “qvm-xkill”

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - cc0528c
- Add .gitlab-ci.yml

* Thu Jul 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 960c9fd
- version 4.0.4-1

* Tue Jun 30 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5e1b7ac
- spec: exclude older garcon version too

* Mon Jun 29 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 94ce8cf
- Set XDG_MENU_PREFIX with xinitrc/Xsession script

* Sun Jun 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a4fcd0b
- XFCE menu is provided by qubes-menus

* Sun Jun 21 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f347f71
- spec: ensure using upstream garcon

* Tue Jun 16 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f06137d
- Makefile: add clean of pkgs and debian changelog.*

* Tue Jun 16 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 149def5
- Import garcon conf files

* Tue Jun 16 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1da7d31
- debian: initial packaging

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9405ba0
- travis: switch to dom0 Fedora 31

* Mon Nov 11 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - efa6d5d
- version 4.0.3-2

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c2d59cf
- travis: switch to bionic

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2002e4a
- travis: don't build tags which are meant for code signing only

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 086beb6
- travis: switch to xenial

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 15907aa
- travis: add Fedora VM builds for R4.1

* Fri Oct 18 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 06fd3ce
- Allow build for VM

* Thu May 02 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 937e9ed
- Makefile: drop get-sources/verify-sources

* Sun Apr 28 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 09fa3bc
- Put garcon and xfwm4 as separate packages

* Thu Mar 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1427903
- Copy sources info top dir for mock to find them

* Sun Mar 03 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ec55a65
- travis: update R4.1

* Fri Feb 15 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e7f516c
- xfce4-settings-qubes 4.0.3

* Mon Jan 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 53584fc
- Revert "Mitigate GUI DoS (part 1)"

* Thu Nov 22 2018 Frédéric Pierret (fepitre) <frederic.epitre@orange.fr> - 4d70120
- tracis-ci: add support for fc29 dom0

* Tue Oct 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c760ce5
- Add support for DISTFILES_MIRROR set in builder.conf

* Thu Sep 27 2018 fepitre <frederic.epitre@orange.fr> - 5fbc6c0
- Add patch to fix large icons

* Thu Sep 27 2018 fepitre <frederic.epitre@orange.fr> - 4caf160
- garcon: update to 0.6.1 with respect to upstream

* Tue Feb 27 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fe91692
- xfce4-settings-qubes 4.0.2

* Mon Jan 08 2018 Reynir Björnsson <reynirr@gmail.com> - 2dc9be4
- Update to qvm-{pause,unpause}

* Fri Sep 29 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0d02834
- garcon: fix download link

* Fri Sep 15 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a83d87e
- xfce4-settings-qubes 4.0.1

* Fri Sep 15 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ae0ddcb
- xfce4-settings-qubes: use default panel configuration on first boot

* Sun Jul 30 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 63bb9f9
- xfce4-settings-qubes 4.0.0

* Sun Jul 30 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aacb763
- xfce4-settings-qubes: set default theme to Slick

